import Film_Manager from "../../../Film/Film_Manager";
import Progression_Manager from "../../../Progression/Progression_Manager";
import Quest_Manager from "../../../Quest/Quest_Manager";
import Raid_Manager from "../../../Raid/Raid_Manager";
import Form_Dialog_Manager from "../../Managers/Form_Dialog_Manager";
export const dialog_lorenzo = {
    name: "Lorenzo",
    texture: "textures/ui/dialog/humanoid_lorenzo",
    messages: ["Hello friend!"],
    buttons: [
        {
            text: "Raid",
            async callback(player, entity) {
                const progression = Progression_Manager.get("b94b54b8-a1c9-44db-998a-9079c3d2abc0");
                if (progression.active_Task != 3) {
                    const dialog = {
                        name: dialog_lorenzo.name,
                        texture: dialog_lorenzo.texture,
                        messages: ["You need to complete all the quests on this island before you can unlock the raid."],
                        buttons: [
                            {
                                text: "Okay",
                                async callback(player, entity) { },
                            },
                        ],
                    };
                    Form_Dialog_Manager.show(player, dialog, 0, entity);
                }
                else {
                    const dialog = {
                        name: dialog_lorenzo.name,
                        texture: dialog_lorenzo.texture,
                        messages: ["Are you strong enough to fight the monsters?"],
                        buttons: [
                            {
                                text: "§aYes",
                                async callback(player, entity) {
                                    Raid_Manager.start(player.dimension.id, player.location);
                                },
                            },
                            {
                                text: "Can you show me where?",
                                async callback(player, entity) {
                                    Film_Manager.play(player, "384e268e-59ad-4c59-9c5a-6b47e0150db0", 0);
                                },
                            },
                            {
                                text: "§cNo",
                                async callback(player, entity) { },
                            },
                        ],
                    };
                    Form_Dialog_Manager.show(player, dialog, 0, entity);
                }
            },
        },
        {
            text: "Quest",
            async callback(player, entity) {
                Quest_Manager.dialog(player, entity, dialog_lorenzo.name, dialog_lorenzo.texture);
            },
        },
    ],
};
